Category : apt

When installing containerd ➜ apt install -y containerd The following packages were automatically installed and are no longer required: docker-ce-rootless-extras pigz Use ‘sudo apt autoremove’ to remove them. The following additional packages will be installed: runc The following packages will be REMOVED: containerd.io docker-ce The following NEW packages will be installed: containerd runc When installing ..

Read more

What are the differences between containerd and containerd.io and what does each package do? containerd containerd.io Why apt install containerd will remove containerd.io and docker-ce? When installing containerd ➜ apt install -y containerd The following packages were automatically installed and are no longer required: docker-ce-rootless-extras pigz Use ‘sudo apt autoremove’ to remove them. The following ..

Read more

I’m getting the following error when running my docker container: W tensorflow/stream_executor/platform/default/dso_loader.cc:64] Could not load dynamic library ‘libcudart.so.11.0’; dlerror: libcudart.so.11.0: cannot open shared object file: No such fi le or directory 2021-07-01 18:39:36.985933: I tensorflow/stream_executor/cuda/cudart_stub.cc:29] Ignore above cudart dlerror if you do not have a GPU set up on your machine. Traceback (most recent call ..

Read more

I am writing a small coding exercise I need to share with someone, who will run it on their system. The project uses Django+Celery and runs a search using a CLI tool installed on a Docker image (from Dockerhub). I am wondering what the best solution is for creating a neatly-packaged project with the least ..

Read more

I am having an issue with my ubuntu 20 PC. So far I have used docker frequently, however lately I cannot build any docker image anymore The problem is when a Dockerfile has the usual RUN commands RUN apt-get update && apt-get remove -y x264 libx264-dev RUN apt-get update && apt-get upgrade -y && apt-get ..

Read more

Currently I am creating a Docker image with python. To import the numpy module in python, libatlas-base-dev is needed. Therefore, I have the following statement in my Dockerfile: RUN apt-get update && apt-get -y install libatlas-base-dev However, this statement causes the Docker image (.tar-file) to increase in size by 45 MB. Is there any way ..

Read more